//
// Handle DS2417 RTC
// By Anders Gustafsson 2017-04-17
//

#define DS2417_SKIP_ROM 0xCC
#define DS2417_WRITE 0x99
#define DS2417_READ 0x66

unsigned char Detect_Slave_Device(void);
unsigned long DS2417_read();
void DS2417_init(unsigned long time);

typedef  union  {
       unsigned long time;
       unsigned char ch[4];
    } DS2417;

